Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class GraphView

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  com.nwoods.jgo.JGoView
                      edu.stanford.smi.protegex.widget.graph.GraphView

All Implemented Interfaces:
  com.nwoods.jgo.JGoDocumentListener, com.nwoods.jgo.JGoObjectCollection, com.nwoods.jgo.JGoObjectSimpleCollection, ClipboardOwner, Autoscroll, DragGestureListener, DragSourceListener, DropTargetListener, KeyListener, ImageObserver, MenuContainer, Printable, Serializable, EventListener

    public class GraphView

extends com.nwoods.jgo.JGoView

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.nwoods.jgo.JGoView
`com.nwoods.jgo.JGoView.JGoViewCanvas`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class com.nwoods.jgo.JGoView
`ChangedDimensions, ChangedOrigin, ChangedPen, ChangedSnapMove, ChangedSnapResize, ChangedSpot, ChangedStyle, DebugEvents, EventMouseDown, EventMouseMove, EventMouseUp, GridCross, GridDot, GridInvisible, GridLine, MouseStateCreateLink, MouseStateCreateLinkFrom, MouseStateDragBoxSelection, MouseStateLast, MouseStateMove, MouseStateNone, MouseStateResize, MouseStateSelection, NoSnap, SnapAfter, SnapJump`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GraphView(GraphWidget widget)`

Method Summary
`void` | `doBackgroundClick(int modifiers, Point dc, Point vc)`
`boolean` | `doMouseDblClick(int modifiers, Point dc, Point vc)`
`boolean` | `doMouseUp(int modifiers, Point dc, Point vc)`
`void` | `drop(DropTargetDropEvent e)`
`BufferedImage` | `getImage()`
`void` | `highlightInstances(Collection instances, Color color)`
`void` | `insertPointIntoLink()`
`void` | `makeAllNodesDefaultSize()`
`void` | `newLink(com.nwoods.jgo.JGoPort from, com.nwoods.jgo.JGoPort to)`
`void` | `onKeyEvent(KeyEvent evt)`
`void` | `reLink(com.nwoods.jgo.JGoLink oldlink, com.nwoods.jgo.JGoPort from, com.nwoods.jgo.JGoPort to)`
`void` | `removeSegmentFromLink()`
`void` | `saveGraphAsImage()`
`boolean` | `startReLink(com.nwoods.jgo.JGoLink oldlink, com.nwoods.jgo.JGoPort oldport, Point dc)`
`void` | `updateView()`

Methods inherited from class com.nwoods.jgo.JGoView
`addDocumentListener, addNotify, addObjectAtHead, addObjectAtTail, addViewListener, autoscroll, bringObjectToFront, completeDrop, computeAcceptableDrop, computeEffectiveSelection, convertActionToModifiers, convertDocToView, convertDocToView, convertDocToView, convertViewToDoc, convertViewToDoc, convertViewToDoc, copy, copySelection, copyToClipboard, createDefaultModel, createDefaultSelection, createTemporaryLinkForNewLink, createTemporaryPortForNewLink, cut, deleteSelection, disposeJGoGraphics, doCancelMouse, doCancelMoveSelection, doCancelResize, docToViewCoords, docToViewCoords, docToViewCoords, docToViewCoords, docToViewCoords, documentChanged, doDrop, doEndEdit, doLayout, doMouseClick, doMouseDown, doMouseMove, doMoveSelection, doUncapturedMouseMove, dragDropEnd, dragEnter, dragEnter, dragExit, dragExit, dragGestureRecognized, dragOver, dragOver, drawGridCrosses, drawGridLines, drawXORBox, drawXORRect, dropActionChanged, dropActionChanged, findNearestGridPoint, findObject, fireUpdate, fireUpdate, getAutoscrollInsets, getBackgroundImage, getCanvas, getCorner, getCurrentMouseEvent, getCurrentObject, getDebugFlags, getDefaultCursor, getDefaultPortGravity, getDefaultPrimarySelectionColor, getDefaultSecondarySelectionColor, getDocument, getDocumentListeners, getDocumentSize, getDocumentTopLeft, getEditControl, getEditPresentationName, getExtentSize, getFirstLayer, getFirstObjectPos, getFrame, getGridHeight, getGridOrigin, getGridPen, getGridSpot, getGridStyle, getGridWidth, getHorizontalScrollBar, getInternalMouseActions, getJGoGraphics, getLastLayer, getLastObjectPos, getMinimumSize, getNextLayer, getNextObjectPos, getNextObjectPosAtTop, getNumObjects, getObjectAtPos, getPortGravity, getPreferredSize, getPrevLayer, getPrevObjectPos, getPrimarySelectionColor, getPrintDocumentSize, getPrintDocumentTopLeft, getPrintPageRect, getPrintScale, getScale, getSecondarySelectionColor, getSelection, getSnapMove, getSnapResize, getState, getToolTipText, getVerticalScrollBar, getViewListeners, getViewPosition, getViewRect, handleResizing, initializeDragDropHandling, initializeMouseHandling, insertObjectAfter, insertObjectBefore, isDragDropEnabled, isDragEnabled, isDragsRealtime, isDragsSelectionImage, isDropEnabled, isDropFlavorAcceptable, isEditingTextControl, isEmpty, isFocusTraversable, isHidingDisabledScrollbars, isIgnoreNextMouseDown, isIncludingNegativeCoords, isKeyEnabled, isMouseEnabled, isPrinting, keyClearSelection, keyMultipleSelect, keyPressed, keyReleased, keyTyped, limitScale, lostOwnership, moveSelection, noNewLink, noReLink, onDragDropEnd, onDragEnter, onDragEnter, onDragExit, onDragExit, onDragGestureRecognized, onDragOver, onDragOver, onDrop, onDropActionChanged, onDropActionChanged, onGridChange, onMouseDragged, onMouseMoved, onMousePressed, onMouseReleased, onPaintComponent, onScrollEvent, paintBackgroundDecoration, paintDocumentObjects, paintPaperColor, paintView, paintViewObjects, paste, pasteFromClipboard, pickDocObject, pickHandle, pickNearestPort, pickObject, pickPort, print, print, printBegin, printDecoration, printEnd, printView, removeDocumentListener, removeObject, removeObjectAtPos, removeViewListener, scrollRectToVisible, selectAll, selectInBox, selectObject, sendObjectToBack, setAutoscrollInsets, setBackgroundImage, setBounds, setBounds, setCorner, setCurrentObject, setCursor, setCursorImmediately, setDebugFlags, setDefaultCursor, setDefaultPortGravity, setDefaultPrimarySelectionColor, setDefaultSecondarySelectionColor, setDocument, setDragDropEnabled, setDragEnabled, setDragsRealtime, setDragsSelectionImage, setDropEnabled, setEditControl, setGridHeight, setGridOrigin, setGridPen, setGridSpot, setGridStyle, setGridWidth, setHidingDisabledScrollbars, setHorizontalScrollBar, setIgnoreNextMouseDown, setIncludingNegativeCoords, setInternalMouseActions, setKeyEnabled, setMouseEnabled, setPrimarySelectionColor, setScale, setSecondarySelectionColor, setSize, setSize, setSnapMove, setSnapResize, setState, setVerticalScrollBar, setViewPosition, setViewPosition, snapAllObjects, snapAllObjects, snapObject, snapObject, startNewLink, startResizing, updateScrollbars, updateView, validDestinationPort, validLink, validSourcePort, viewToDocCoords, viewToDocCoords, viewToDocCoords, viewToDocCoords, viewToDocCoords`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setComponentOrientation, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphView

    public GraphView(GraphWidget widget)

Method Detail

### drop

    public void drop(DropTargetDropEvent e)

  Specified by:
    `drop` in interface `DropTargetListener`
  Overrides:
    `drop` in class `com.nwoods.jgo.JGoView`

### doMouseDblClick

    public boolean doMouseDblClick(int modifiers,
                                   Point dc,
                                   Point vc)

  Overrides:
    `doMouseDblClick` in class `com.nwoods.jgo.JGoView`

### doMouseUp

    public boolean doMouseUp(int modifiers,
                             Point dc,
                             Point vc)

  Overrides:
    `doMouseUp` in class `com.nwoods.jgo.JGoView`

### doBackgroundClick

    public void doBackgroundClick(int modifiers,
                                  Point dc,
                                  Point vc)

  Overrides:
    `doBackgroundClick` in class `com.nwoods.jgo.JGoView`

### onKeyEvent

    public void onKeyEvent(KeyEvent evt)

  Overrides:
    `onKeyEvent` in class `com.nwoods.jgo.JGoView`

### insertPointIntoLink

    public void insertPointIntoLink()

### removeSegmentFromLink

    public void removeSegmentFromLink()

### makeAllNodesDefaultSize

    public void makeAllNodesDefaultSize()

### newLink

    public void newLink(com.nwoods.jgo.JGoPort from,
                        com.nwoods.jgo.JGoPort to)

  Overrides:
    `newLink` in class `com.nwoods.jgo.JGoView`

### reLink

    public void reLink(com.nwoods.jgo.JGoLink oldlink,
                       com.nwoods.jgo.JGoPort from,
                       com.nwoods.jgo.JGoPort to)

  Overrides:
    `reLink` in class `com.nwoods.jgo.JGoView`

### startReLink

    public boolean startReLink(com.nwoods.jgo.JGoLink oldlink,
                               com.nwoods.jgo.JGoPort oldport,
                               Point dc)

  Overrides:
    `startReLink` in class `com.nwoods.jgo.JGoView`

### highlightInstances

    public void highlightInstances(Collection instances,
                                   Color color)

### updateView

    public void updateView()

  Overrides:
    `updateView` in class `com.nwoods.jgo.JGoView`

### saveGraphAsImage

    public void saveGraphAsImage()

### getImage

    public BufferedImage getImage()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request